Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.service
Class RepositoryService

    java.lang.Object
      org.modeshape.jboss.service.RepositoryService

All Implemented Interfaces:
  org.jboss.msc.service.Service<JcrRepository>, org.jboss.msc.value.Value<JcrRepository>, Environment

    public class RepositoryService

extends Object
implements org.jboss.msc.service.Service<JcrRepository>, Environment

A `RepositoryService` instance is the service responsible for initializing a `JcrRepository` in the ModeShape engine using the information from the configuration.

Field Summary
`static String` | `BINARY_STORAGE_CONTAINER_NAME`
`static String` | `CONTENT_CONTAINER_NAME`

Fields inherited from interface org.jboss.msc.service.Service
`NULL, NULL_VALUE`

Constructor Summary
`RepositoryService(RepositoryConfiguration repositoryConfiguration)`

Method Summary
`void` | `changeField(MappedAttributeDefinition defn, org.jboss.dmr.ModelNode newValue)` Immediately change and apply the specified field in the current repository configuration to the new value.
`void` | `changeSequencerField(MappedAttributeDefinition defn, org.jboss.dmr.ModelNode newValue, String sequencerName)` Immediately change and apply the specified sequencer field in the current repository configuration to the new value.
`org.jboss.msc.value.InjectedValue<BinaryStorage>` | `getBinaryStorageInjector()`
`org.infinispan.manager.CacheContainer` | `getCacheContainer(String name)`
`org.jboss.msc.value.InjectedValue<org.infinispan.manager.CacheContainer>` | `getCacheManagerInjector()`
`org.jgroups.Channel` | `getChannel(String name)`
`org.jboss.msc.value.InjectedValue<org.jboss.as.clustering.jgroups.ChannelFactory>` | `getChannelFactoryInjector()`
`ClassLoader` | `getClassLoader(ClassLoader fallbackLoader, String... classpathEntries)`
`org.jboss.msc.value.InjectedValue<String>` | `getDataDirectoryPathInjector()`
`org.jboss.msc.value.InjectedValue<ModeShapeEngine>` | `getEngineInjector()`
`org.jboss.msc.value.InjectedValue<IndexStorage>` | `getIndexStorageConfigInjector()`
`org.jboss.msc.value.InjectedValue<org.jboss.modules.ModuleLoader>` | `getModuleLoaderInjector()`
`org.jboss.msc.value.InjectedValue<TransactionManager>` | `getTransactionManagerInjector()`
`JcrRepository` | `getValue()`
`String` | `repositoryName()`
`void` | `shutdown()`
`void` | `start(org.jboss.msc.service.StartContext arg0)`
`void` | `stop(org.jboss.msc.service.StopContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTENT_CONTAINER_NAME

    public static final String CONTENT_CONTAINER_NAME

See Also:
  Constant Field Values

### BINARY_STORAGE_CONTAINER_NAME

    public static final String BINARY_STORAGE_CONTAINER_NAME

See Also:
  Constant Field Values

Constructor Detail

### RepositoryService

    public RepositoryService(RepositoryConfiguration repositoryConfiguration)

Method Detail

### getValue

    public JcrRepository getValue()
                           throws IllegalStateException,
                                  IllegalArgumentException

  Specified by:
    `getValue` in interface `org.jboss.msc.value.Value<JcrRepository>`
  Throws:
    `IllegalStateException`
    `IllegalArgumentException`

### getCacheContainer

    public org.infinispan.manager.CacheContainer getCacheContainer(String name)

  Specified by:
    `getCacheContainer` in interface `Environment`

### getChannel

    public org.jgroups.Channel getChannel(String name)
                                   throws Exception

  Specified by:
    `getChannel` in interface `Environment`
  Throws:
    `Exception`

### getClassLoader

    public ClassLoader getClassLoader(ClassLoader fallbackLoader,
                                      String... classpathEntries)

  Specified by:
    `getClassLoader` in interface `Environment`

### shutdown

    public void shutdown()

  Specified by:
    `shutdown` in interface `Environment`

### repositoryName

    public final String repositoryName()

### start

    public void start(org.jboss.msc.service.StartContext arg0)
               throws org.jboss.msc.service.StartException

  Specified by:
    `start` in interface `org.jboss.msc.service.Service<JcrRepository>`
  Throws:
    `org.jboss.msc.service.StartException`

### stop

    public void stop(org.jboss.msc.service.StopContext context)

  Specified by:
    `stop` in interface `org.jboss.msc.service.Service<JcrRepository>`

### changeField

    public void changeField(MappedAttributeDefinition defn,
                            org.jboss.dmr.ModelNode newValue)
                     throws RepositoryException,
                            org.jboss.as.controller.OperationFailedException

  Immediately change and apply the specified field in the current repository configuration to the new value.

  Parameters:
    `defn` - the attribute definition for the value; may not be null
    `newValue` - the new string value
  Throws:
    `RepositoryException` - if there is a problem obtaining the repository configuration or applying the change
    `org.jboss.as.controller.OperationFailedException` - if there is a problem obtaining the raw value from the supplied model node

### changeSequencerField

    public void changeSequencerField(MappedAttributeDefinition defn,
                                     org.jboss.dmr.ModelNode newValue,
                                     String sequencerName)
                              throws RepositoryException,
                                     org.jboss.as.controller.OperationFailedException

  Immediately change and apply the specified sequencer field in the current repository configuration to the new value.

  Parameters:
    `defn` - the attribute definition for the value; may not be null
    `newValue` - the new string value
    `sequencerName` - the name of the sequencer
  Throws:
    `RepositoryException` - if there is a problem obtaining the repository configuration or applying the change
    `org.jboss.as.controller.OperationFailedException` - if there is a problem obtaining the raw value from the supplied model node

### getIndexStorageConfigInjector

    public org.jboss.msc.value.InjectedValue<IndexStorage> getIndexStorageConfigInjector()

  Returns:
    the injector used to set the configuration details for the index storage

### getBinaryStorageInjector

    public org.jboss.msc.value.InjectedValue<BinaryStorage> getBinaryStorageInjector()

  Returns:
    the injector used to set the configuration details for the binaries storage

### getEngineInjector

    public org.jboss.msc.value.InjectedValue<ModeShapeEngine> getEngineInjector()

  Returns:
    the injector used to set the `ModeShapeEngine` reference

### getTransactionManagerInjector

    public org.jboss.msc.value.InjectedValue<TransactionManager> getTransactionManagerInjector()

  Returns:
    the injector used to set the TransactionManager reference

### getCacheManagerInjector

    public org.jboss.msc.value.InjectedValue<org.infinispan.manager.CacheContainer> getCacheManagerInjector()

  Returns:
    the injector used to set the CacheContainer reference used for content storage

### getChannelFactoryInjector

    public org.jboss.msc.value.InjectedValue<org.jboss.as.clustering.jgroups.ChannelFactory> getChannelFactoryInjector()

  Returns:
    the injector used to set the JGroups' ChannelFactory

### getDataDirectoryPathInjector

    public org.jboss.msc.value.InjectedValue<String> getDataDirectoryPathInjector()

  Returns:
    the injector used to set the data directory for this repository

### getModuleLoaderInjector

    public org.jboss.msc.value.InjectedValue<org.jboss.modules.ModuleLoader> getModuleLoaderInjector()

  Returns:
    the injector used to set the jboss module loader

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.